Execute Exchange
POST
/api/v1/exchange/execute
const url = 'https://api.parasta.io/api/v1/exchange/execute';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"from_asset":"KRW","to_asset":"BTC","from_amount":100000}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/api/v1/exchange/execute \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "from_asset": "KRW", "to_asset": "BTC", "from_amount": 100000 }'Exchange between assets in Link Bank (e.g., KRW to BTC). Fee: 0.3%.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
from_asset
required
Source asset code
string
to_asset
required
Target asset code
string
from_amount
required
Amount to exchange
number
Example
{ "from_asset": "KRW", "to_asset": "BTC", "from_amount": 100000}Responses
Section titled “ Responses ”OK
Media type application/json
Example
{ "status": "ok", "data": { "tx_id": "ex_xxx", "from": "100,000 KRW", "to": "0.00102 BTC", "rate": 98000000, "fee": "300 KRW", "status": "completed" }}